dnl $Id: config.m4,v 1.2 2003/10/30 23:22:06 xnoguer Exp $
dnl config.m4 for extension valkyrie

dnl Comments in this file start with the string 'dnl'.
dnl Remove where necessary. This file will not work
dnl without editing.


PHP_ARG_WITH(valkyrie, for valkyrie support,
[  --with-valkyrie=DIR         Include valkyrie support
                               DIR is the libxml install directory])


if test "$PHP_VALKYRIE" != "no"; then
  dnl Write more examples of tests here...

  dnl # --with-valkyrie -> check with-path
dnl  SEARCH_PATH="/usr/local /usr"
dnl  SEARCH_FOR="/include/libxml/tree.h"

  VALKYRIE_DIR_ADD=""
  if test -r $PHP_VALKYRIE/include/libxml2/libxml/tree.h; then
    VALKYRIE_DIR=$PHP_VALKYRIE
    VALKYRIE_DIR_ADD="/libxml2"
  elif test -r $PHP_VALKYRIE/include/libxml/tree.h; then
    VALKYRIE_DIR=$PHP_VALKYRIE
  else
    for i in /usr/local /usr; do
      test -r $i/include/libxml/tree.h && VALKYRIE_DIR=$i
      test -r $i/include/libxml2/libxml/tree.h && VALKYRIE_DIR=$i && VALKYRIE_DIR_ADD="/libxml2"
    done
  fi

dnl  if test -r $PHP_VALKYRIE/; then
dnl     VALKYRIE_DIR=$PHP_VALKYRIE
dnl  else # search default path list
dnl    AC_MSG_CHECKING([for libxml files in default path])
dnl    for i in $SEARCH_PATH ; do
dnl      if test -r $i/$SEARCH_FOR; then
dnl        VALKYRIE_DIR=$i
dnl        AC_MSG_RESULT(found in $i)
dnl      fi
dnl    done
dnl  fi
  
  if test -z "$VALKYRIE_DIR"; then
    AC_MSG_RESULT([not found])
    AC_MSG_ERROR([Please reinstall the libxml distribution])
  fi

dnl checking for lib
  if test -f $VALKYRIE_DIR/lib/libxml2.a -o -f $VALKYRIE_DIR/lib/libxml2.$SHLIB_SUFFIX_NAME ; then
    VALKYRIE_LIBNAME=xml2
  else
    VALKYRIE_LIBNAME=xml
  fi

dnl  XML2_CONFIG=$VALKYRIE_DIR/bin/xml2-config
 
dnl  if test -x $XML2_CONFIG; then
dnl    VALKYRIE_LIBS=`$XML2_CONFIG --libs`
dnl    PHP_EVAL_LIBLINE($VALKYRIE_LIBS, VALKYRIE_SHARED_LIBADD)
dnl  else 
    PHP_SUBST(VALKYRIE_SHARED_LIBADD)
    PHP_ADD_LIBRARY_WITH_PATH($VALKYRIE_LIBNAME, $VALKYRIE_DIR/lib, VALKYRIE_SHARED_LIBADD)
dnl  fi

  dnl # --with-valkyrie -> add include path
  PHP_ADD_INCLUDE($VALKYRIE_DIR/include$VALKYRIE_DIR_ADD)

  dnl # --with-valkyrie -> chech for lib and symbol presence
  dnl LIBNAME=valkyrie # you may want to change this
  dnl LIBSYMBOL=valkyrie # you most likely want to change this 

  dnl PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
  dnl [
  dnl   PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $VALKYRIE_DIR/lib, VALKYRIE_SHARED_LIBADD)
  dnl   AC_DEFINE(HAVE_VALKYRIELIB,1,[ ])
  dnl ],[
  dnl   AC_MSG_ERROR([wrong valkyrie lib version or lib not found])
  dnl ],[
  dnl   -L$VALKYRIE_DIR/lib -lm -ldl
  dnl ])
  dnl
  dnl PHP_SUBST(VALKYRIE_SHARED_LIBADD)

  PHP_NEW_EXTENSION(valkyrie, valkyrie.c, $ext_shared)
fi
