/*
  +----------------------------------------------------------------------+
  | PHP Version 4                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2002 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 2.02 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available at through the world-wide-web at                           |
  | http://www.php.net/license/2_02.txt.                                 |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author:  Xavier Noguer <xnoguer@php.net>                             |
  +----------------------------------------------------------------------+

  $Id: php_valkyrie.h,v 1.3 2004/04/08 23:46:50 xnoguer Exp $ 
*/

#ifndef PHP_VALKYRIE_H
#define PHP_VALKYRIE_H


#include <libxml/parser.h>
#include <libxml/xpath.h>
#include <libxml/xpathInternals.h>

extern zend_module_entry valkyrie_module_entry;
#define phpext_valkyrie_ptr &valkyrie_module_entry

#ifdef PHP_WIN32
#define PHP_VALKYRIE_API __declspec(dllexport)
#else
#define PHP_VALKYRIE_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(valkyrie);
PHP_MSHUTDOWN_FUNCTION(valkyrie);
PHP_RINIT_FUNCTION(valkyrie);
PHP_MINFO_FUNCTION(valkyrie);

PHP_FUNCTION(valkyrie_validate);
PHP_FUNCTION(valkyrie_reload_config);


ZEND_BEGIN_MODULE_GLOBALS(valkyrie)
	long  auto_validate;
	int   config_parsed;
	int   strict;
	char  *config_path, *application_path, *validation_funcs_path;
	xmlNodeSet *modules;
	//xmlDoc *doc_ptr;
	HashTable validation_methods;
	zend_class_entry *zce;
ZEND_END_MODULE_GLOBALS(valkyrie)

/* In every utility function you add that needs to use variables 
   in php_valkyrie_globals, call TSRM_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as VALKYRIE_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

typedef struct _valkyrie_param_to_receive {
	char *name;
	zend_uchar received;
	struct _valkyrie_param_to_receive *next;
} valkyrie_param_to_receive;

#ifdef ZTS
#define VALKYRIE_G(v) TSRMG(valkyrie_globals_id, zend_valkyrie_globals *, v)
#else
#define VALKYRIE_G(v) (valkyrie_globals.v)
#endif

#endif	/* PHP_VALKYRIE_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
